Skip to main content
GET
/
api
/
v2
/
registry-center-checks
/
List registry center checks
curl --request GET \
  --url https://ivs.idenfy.com/api/v2/registry-center-checks/ \
  --header 'Authorization: Basic <encoded-value>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "checkedPersonalNumber": "<string>",
    "personalNumber": "<string>",
    "name": "<string>",
    "surname": "<string>",
    "documentNumber": "<string>",
    "documentExpiration": "2023-12-25",
    "facePhoto": "<string>",
    "checkedDocumentType": "<string>",
    "clientId": "<string>"
  }
]

Authorizations

Authorization
string
header
required

The request must contain basic auth headers where username is API key and password is API secret.
In order for you to start using our API you will need an API key and API secret.
Both can be retrieved by contacting iDenfy's support or iDenfy's sales team.

Query Parameters

checkedFields
enum<string>[]
Available options:
address,
address1,
address2,
city,
date_of_birth,
dob,
email,
first_name,
gender,
id_num,
last_name,
marital_status,
middle_name,
phone,
state,
yob,
zip
clientId
string
created
string<date-time>[]

Multiple values may be separated by commas.

databases
enum<string>[]

A list of comma separated values

Available options:
UK,
US_1,
US_15,
US_4
id
string<uuid>
name
string
orderBy
enum<string>[]

Ordering

Available options:
-created,
created
partnerIn
integer[]

A list of ids, comma separated, identifying partners

partnerNotIn
integer[]

A list of ids, comma separated, identifying partners

status
enum<string>
Available options:
MATCH,
NO_DATA,
NO_MATCH,
PARTIAL_MATCH
surname
string

Response

200 - application/json
id
string<uuid>
required
read-only
checkedPersonalNumber
string
required
Maximum string length: 30
personalNumber
string | null
required
read-only
name
string | null
required
read-only
surname
string | null
required
read-only
documentNumber
string | null
required
read-only
documentExpiration
string<date> | null
required
read-only
facePhoto
string<uri> | null
required
read-only

Face photo from a document.

database
enum<string>
required
Available options:
LT,
HU,
UK,
US_15
checkedDocumentType
string | null
Maximum string length: 2
clientId
string | null
Maximum string length: 100